<div class="content-wrapper">
  <section class="content-header">
    <h1>
       <?= $pTitle ?>
        <small><?= $pDescription ?></small>
    </h1>
    <ol class="breadcrumb">
     <li><a href="<?= base_url() ?>"><i class="fa fa-star-o" aria-hidden="true"></i>Home</a></li>
     <li><?= $menu ?></li>
     <li class="active"><?= $smenu ?></li>
    </ol>
  </section>
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <?php 
        $url = 'Issue/createMechIssue';
        $edit = 0;
        $issue_id = (isset($issue_id) && !empty($issue_id))?$issue_id:'';
        $mechanic_id = (isset($mechanic_id) && !empty($mechanic_id))?$mechanic_id:'';
        if(!empty($mechanic_id) && !empty($issue_id)){
          $edit = 1;
          $url = 'Issue/updateMechIssue/'.$mechanic_id.'/'.$issue_id;
        }
        if($this->session->flashdata('message')) { 
          $flashdata = $this->session->flashdata('message'); ?>
          <div class="alert alert-<?= $flashdata['class'] ?>">
            <button class="close" data-dismiss="alert" type="button">×</button>
            <?= $flashdata['message'] ?>
          </div>
        <?php } ?>
      </div>
      <div class="col-md-12">
        <div class="box box-warning">
          <div class="box-body">
            <form role="form" action="<?= base_url($url) ?>" method="post" 
              class="validate" data-parsley-validate="" enctype="multipart/form-data">
              <div class="col-md-12">
              	<div class="col-md-6">
                  <div class="form-group">
                    <label>General Issue</label>
                    <select name="issue_id" class="form-control required" placeholder="Select General Issue" required="" <?= ($edit)?'disabled':'' ?>>
                      <option selected disabled>Choose an Issue Type</option>
              			  <?php 
              			  if(!empty($issue_data)){ 
  	                    foreach ($issue_data as $issue) {
  	                      $select = '';
                          if(isset($issue_id) && $issue->issue_id == decode_param($issue_id)){
                            $select = 'selected';
                          }
  	                      echo '<option '.$select.' value="'.encode_param($issue->issue_id).'">'
                                  .$issue->issue.
                               '</option>';
  	                    }
                 		  } ?>
                    </select> 
                  </div>
                </div>
                <div class="col-md-6 hide" id="mapTypeCntr">
                  <div class="form-group marginTop23">
                    <input type="radio" name="mapping_type" checked="" value="0">
                      <label class="padAll-10">Use Default</label>
                    <input type="radio" name="mapping_type" value="1">
                      <label class="padAll-10">Use Custom</label>
                  </div>
                </div>
          	  </div>
              <div class="col-md-12"> 
                <div class="hide" id="subTypeDtlsCntr">
                  <div class="col-md-12 padBottom10">
                    <label>Issue Sub Type Details</label>
                  </div>

                  <div id="subTypeDtlsCntrData"></div>
                </div> 
              </div> 

              <div class="col-md-12 marginTop10">
                <div class="box-footer textCenterAlign">
                  <button type="submit" class="btn btn-primary">Submit</button>
                  <a href="<?= base_url('Issue/viewMappedIssues/'.encode_param($mechanic_id)) ?>" class="btn btn-primary">Cancel</a>
                </div>
              </div>
              <input type="hidden" name="mechanic_id" value="<?= $mechanic_id ?>" >       
              <input name="edit_flag" value="<?= $edit ?>" >       
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>